## vdr-plugin-fritzbox 1.0.0

=== Makefile ===
--- 
+++ 
@@ -34,14 +34,8 @@
 
 APIVERSION = $(shell sed -ne '/define APIVERSION/s/^.*"\(.*\)".*$$/\1/p' $(VDRDIR)/config.h)
 VDRVERSNUM = $(shell grep 'define VDRVERSNUM ' $(VDRDIR)/config.h | awk '{ print $$3 }' | sed -e 's/"//g')
-USE_GETTEXT= $(shell test $(VDRVERSNUM) -ge 10507 && echo yes)
-USE_GETTEXT_V2= $(shell test $(VDRVERSNUM) -ge 10508 && echo yes)
 DOXYFILE = Doxyfile
 DOXYGEN  = doxygen
-
-ifeq ($(USE_GETTEXT_V2),yes)
-I18N_PREFIX = vdr-
-endif
 
 ### The name of the distribution archive:
 
@@ -57,16 +51,9 @@
 ### The object files (add further files here):
 
 OBJS = $(PLUGIN).o calllist.o fonbooks.o fritzfonbuch.o fritzlistener.o fonbuch.o fonbuchmanager.o fritztools.o menu.o oertlichesfonbuch.o setup.o tcpclient.o	  
-ifneq ($(USE_GETTEXT),yes)
-OBJS += i18n.o
-endif
 
 ### Targets:
-ifeq ($(USE_GETTEXT),yes)
 all: libvdr-$(PLUGIN).so i18n
-else
-all: libvdr-$(PLUGIN).so 
-endif
 libvdr-$(PLUGIN).so: $(OBJS)
 	$(CXX) $(CXXFLAGS) -shared $(OBJS) -o $@
 	@cp --remove-destination $@ $(LIBDIR)/$@.$(APIVERSION)
