## vdr-plugin-fritzbox 1.3.3

=== Makefile ===
--- 
+++ 
@@ -18,12 +18,18 @@
 ### The C++ compiler and options:
 
 CXX      ?= g++
-CXXFLAGS ?= -fPIC -g -O2 -Wall -Woverloaded-virtual
+CXXFLAGS ?= -g -ggdb -O2 -Wall -Woverloaded-virtual
+
+### Make sure that necessary options are included:
+ifeq ($(strip $(wildcard $(VDRDIR)/Make.global)),)
+  CXXFLAGS += -fPIC
+else
+  include $(VDRDIR)/Make.global
+endif
 
 ### The directory environment:
-
-VDRDIR = ../../..
-LIBDIR = ../../lib
+VDRDIR ?= ../../..
+LIBDIR = $(VDRDIR)/PLUGINS/lib
 TMPDIR = /tmp
 
 ### Allow user defined options to overwrite defaults:
@@ -48,32 +54,59 @@
 
 DEFINES += -D_GNU_SOURCE -DPLUGIN_NAME_I18N='"$(PLUGIN)"'
 
+### libfritz++
+LIBFRITZ = libfritz++
+INCLUDES += -I$(LIBFRITZ)
+LIBS += $(LIBFRITZ)/$(LIBFRITZ).a -lgcrypt
+
+### libpthread++
+LIBPTHREAD = libpthread++
+INCLUDES += -I$(LIBPTHREAD)
+LIBS += $(LIBPTHREAD)/$(LIBPTHREAD).a
+
+### libtcpclient++
+LIBTCPCLIENT = libtcpclient++
+INCLUDES += -I$(LIBTCPCLIENT)
+LIBS += $(LIBTCPCLIENT)/$(LIBTCPCLIENT).a 
+
+
 ### The object files (add further files here):
 
-OBJS = $(PLUGIN).o calllist.o fonbooks.o fritzfonbuch.o fritzlistener.o fonbuch.o fonbuchmanager.o fritztools.o menu.o oertlichesfonbuch.o setup.o tcpclient.o	  
+OBJS = $(PLUGIN).o fritzeventhandler.o log.o menu.o notifyosd.o setup.o	  
 
 ### Targets:
 all: libvdr-$(PLUGIN).so i18n
-libvdr-$(PLUGIN).so: $(OBJS)
-	$(CXX) $(CXXFLAGS) -shared $(OBJS) -o $@
-	@cp --remove-destination $@ $(LIBDIR)/$@.$(APIVERSION)
+	@-cp --remove-destination libvdr-$(PLUGIN).so $(LIBDIR)/libvdr-$(PLUGIN).so.$(APIVERSION) 
+## TODO: Prevent so file from beeing build every time
+libvdr-$(PLUGIN).so: $(OBJS) libfritz 
+	$(CXX) $(CXXFLAGS) -shared $(OBJS) $(LIBS) -o $@
 	
+libfritz: libtcpclient libpthread
+	$(MAKE) -C $(LIBFRITZ)	
+	
+libtcpclient:
+	$(MAKE) -C $(LIBTCPCLIENT)
+	
+libpthread:
+	$(MAKE) -C $(LIBPTHREAD)
 
 %.o: %.c
 	$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) $<
-
 
 dist: clean
 	@-rm -rf $(TMPDIR)/$(ARCHIVE)
 	@mkdir $(TMPDIR)/$(ARCHIVE)
 	@cp -a * $(TMPDIR)/$(ARCHIVE)
-	@tar czf $(PACKAGE).tgz -C $(TMPDIR) $(ARCHIVE)
+	@tar czf $(PACKAGE).tgz --exclude=.* --exclude=test -C $(TMPDIR) $(ARCHIVE)
 	@-rm -rf $(TMPDIR)/$(ARCHIVE)
 	@echo Distribution package created as $(PACKAGE).tgz
 
 clean:
 	@-rm -f $(PODIR)/*.mo $(PODIR)/*.pot
 	@-rm -f $(OBJS) $(DEPFILE) *.so *.tgz core* *~
+	@-make -C $(LIBFRITZ) clean
+	@-make -C $(LIBTCPCLIENT) clean
+	@-make -C $(LIBPTHREAD) clean
 
 ### Internationalization (I18N):
 
@@ -86,8 +119,8 @@
 %.mo: %.po
 	msgfmt -c -o $@ $<
 
-$(I18Npot): $(wildcard *.c)
-	xgettext -C -cTRANSLATORS --no-wrap -F -k -ktr -ktrNOOP --msgid-bugs-address='<vdr@joachim-wilke.de>' -o $@ $^
+$(I18Npot): $(wildcard *.c) $(wildcard libfritz++/*.cpp)
+	xgettext -C -cTRANSLATORS --no-wrap -F -k -ktr -ktrNOOP -kI18N_NOOP --msgid-bugs-address='<vdr@joachim-wilke.de>' -o $@ $^
 
 %.po: $(I18Npot)
 	msgmerge -U --no-wrap -F --backup=none -q $@ $<
@@ -106,7 +139,6 @@
 	$(DOXYGEN) $(DOXYFILE).tmp
 	@rm $(DOXYFILE).tmp
 				
-
 # Dependencies:
 
 MAKEDEP = $(CXX) -MM -MG
