=== libfritz++/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
include_directories(../libtcpclient++ ../libpthread++)
project (libfritz++)
set(SRCS CallList.cpp Config.cpp Fonbooks.cpp Fonbook.cpp FonbookManager.cpp FritzClient.cpp FritzFonbook.cpp Listener.cpp Tools.cpp LocalFonbook.cpp Nummerzoeker.cpp OertlichesFonbook.cpp)
add_library(fritz++ STATIC ${SRCS})
