=== debian/changelog ===
vdr-plugin-fritzbox (1.3.9-1) unstable; urgency=low

  * New upstream release
  * Updated debian/watch
  * Build-depend on vdr-dev >= 1.7.17
  * Updated debian/copyright
  * Standards-Version: 3.9.1
  * Switched to debhelper 7 and dropped cdbs

 -- Tobias Grimm <etobi@debian.org>  Thu, 07 Apr 2011 22:43:33 +0200

vdr-plugin-fritzbox (1.3.5-1) unstable; urgency=low

  * New upstream release

 -- Thomas Günther <tom@toms-cafe.de>  Mon, 27 Sep 2010 23:13:33 +0200

vdr-plugin-fritzbox (1.3.3-1) unstable; urgency=low

  * New upstream release
  * Build-depend on libgcrypt11-dev
  * Dropped 01_gnutls.dpatch

 -- Tobias Grimm <etobi@debian.org>  Tue, 01 Jun 2010 00:19:47 +0200

vdr-plugin-fritzbox (1.3.2-3) unstable; urgency=low

  * Added missing libgnutls-oppssl linking
  * Added source/format 1.0

 -- Tobias Grimm <etobi@debian.org>  Wed, 14 Apr 2010 00:32:22 +0200

vdr-plugin-fritzbox (1.3.2-2) unstable; urgency=low

  * Build-depend on vdr-dev >= 1.6.0-16
  * Replaced openssl by gnutls to avoid GPL licence conflict

 -- Tobias Grimm <etobi@debian.org>  Sun, 28 Mar 2010 15:04:46 +0200

vdr-plugin-fritzbox (1.3.2-1) unstable; urgency=low

  * New upstream release
  * Removed 01_fix-FritzClient.cpp.dpatch
  * Removed dpatch from Build-Depends
  * Standards-Version: 3.8.4

 -- Thomas Günther <tom@toms-cafe.de>  Thu, 18 Mar 2010 02:33:50 +0100

vdr-plugin-fritzbox (1.3.1-1) unstable; urgency=low

  * New upstream release
  * Added libssl-dev to Build-Depends
  * Added 01_fix-FritzClient.cpp.dpatch (thx to Holger Schvestka)
  * Added dpatch to Build-Depends
  * Added README.source

 -- Thomas Günther <tom@toms-cafe.de>  Thu, 26 Nov 2009 20:00:49 +0100

vdr-plugin-fritzbox (1.2.1-3) unstable; urgency=low

  * Removed non-standard shebang line from debian/rules (Closes: #552642)

 -- Tobias Grimm <etobi@debian.org>  Sun, 08 Nov 2009 23:33:17 +0100

vdr-plugin-fritzbox (1.2.1-2) unstable; urgency=low

  * Updated debian/watch
  * Standards-Version: 3.8.3

 -- Tobias Grimm <etobi@debian.org>  Fri, 09 Oct 2009 23:15:18 +0200

vdr-plugin-fritzbox (1.2.1-1) unstable; urgency=low

  * New upstream release
  * Updated debian/copyright
  * Install German README.de
  * Install localphonebook.csv as config file to /etc/vdr/plugins/fritzbox/

 -- Tobias Grimm <etobi@debian.org>  Tue, 02 Jun 2009 21:21:34 +0200

vdr-plugin-fritzbox (1.0.1-2) unstable; urgency=low

  * Release for vdrdevel 1.7.6
  * Added ${misc:Depends}
  * Bumped standards version to 3.8.1
  * Updated debian/copyright
  * Changed section to "video"

 -- Thomas Günther <tom@toms-cafe.de>  Wed, 29 Apr 2009 23:10:54 +0200

vdr-plugin-fritzbox (1.0.1-1) unstable; urgency=low

  * New upstream release

 -- Tobias Grimm <tg@e-tobi.net>  Fri, 25 Jul 2008 19:08:13 +0200

vdr-plugin-fritzbox (1.0.0-3) unstable; urgency=low

  [ Tobias Grimm ]
  * Dropped patchlevel control field
  * Build-Depend on vdr-dev (>=1.6.0-5)
  * Bumped Standards-Version to 3.8.0

 -- Thomas Schmidt <tschmidt@debian.org>  Sat, 19 Jul 2008 17:40:19 +0200

vdr-plugin-fritzbox (1.0.0-2) unstable; urgency=low

  * Upload to unstable 

 -- Thomas Schmidt <tschmidt@debian.org>  Sun, 08 Jun 2008 23:21:09 +0200

vdr-plugin-fritzbox (1.0.0-1) experimental; urgency=low

  * New upstream release

 -- Tobias Grimm <tg@e-tobi.net>  Thu, 01 May 2008 22:04:56 +0200

vdr-plugin-fritzbox (0.0.13-1) experimental; urgency=low

  [ Thomas Schmidt ]
  * Build-Depend on vdr-dev (>=1.6.0-1)

  [ Tobias Grimm ]
  * New upstream release
  * Removed 01_fd-fix.dpatch (fixed upstream)

 -- Tobias Grimm <tg@e-tobi.net>  Thu, 03 Apr 2008 23:06:26 +0200

vdr-plugin-fritzbox (0.0.12-2) experimental; urgency=low

  * Added 01_fd-fix.dpatch

 -- Tobias Grimm <tg@e-tobi.net>  Sun, 23 Mar 2008 12:31:37 +0100

vdr-plugin-fritzbox (0.0.12-1) experimental; urgency=low

  * New upstream release
  * Updated debian/watch
  * Build-depend on vdr-dev (>= 1.5.17)

 -- Tobias Grimm <tg@e-tobi.net>  Tue, 11 Mar 2008 22:23:48 +0100

vdr-plugin-fritzbox (0.0.11-2) experimental; urgency=low

  * Force rebuild for vdr 1.5.15

 -- Tobias Grimm <tg@e-tobi.net>  Mon, 18 Feb 2008 21:08:01 +0100

vdr-plugin-fritzbox (0.0.11-1) experimental; urgency=low

  * New upstream release
  * Updated debian/copyright
  * Removed 90_fritzbox-0.0.9-compile-fix.dpatch (fixed upstream)

 -- Tobias Grimm <tg@e-tobi.net>  Sat, 16 Feb 2008 16:40:17 +0100

vdr-plugin-fritzbox (0.0.9-4) unstable; urgency=low

  * Release for vdrdevel 1.5.13
  * Fixed build for VDR >= 1.5.7

 -- Thomas Günther <tom@toms-cafe.de>  Wed, 16 Jan 2008 10:42:57 +0100

vdr-plugin-fritzbox (0.0.9-3) unstable; urgency=low

  * Switched Build-System to cdbs, Build-Depend on cdbs
  * Added Homepage field to debian/control
  * Renamed XS-Vcs-* fields to Vcs-* in debian/control
  * Bumped Standards-Version to 3.7.3 

 -- Thomas Schmidt <tschmidt@debian.org>  Sat, 29 Dec 2007 13:37:36 +0100

vdr-plugin-fritzbox (0.0.9-2) unstable; urgency=low

  * Release for vdrdevel 1.5.12

 -- Thomas Günther <tom@toms-cafe.de>  Tue, 20 Nov 2007 23:46:18 +0100

vdr-plugin-fritzbox (0.0.9-1) unstable; urgency=low

  * New upstream release
  * Added 90_fritzbox-0.0.9-compile-fix.dpatch
  * Added dpatch to Build-Depends

 -- Thomas Günther <tom@toms-cafe.de>  Sun, 18 Nov 2007 22:04:04 +0100

vdr-plugin-fritzbox (0.0.8-1) unstable; urgency=low

  * New upstream release
  * Removed DVBDIR from debian/rules

 -- Thomas Günther <tom@toms-cafe.de>  Sun, 11 Nov 2007 00:54:05 +0100

vdr-plugin-fritzbox (0.0.7-3) unstable; urgency=low

  * Release for vdrdevel 1.5.11

 -- Thomas Günther <tom@toms-cafe.de>  Tue,  6 Nov 2007 23:34:12 +0100

vdr-plugin-fritzbox (0.0.7-2) unstable; urgency=low

  * First upload to the official archive (closes: #423253)

 -- Thomas Schmidt <tschmidt@debian.org>  Fri, 05 Oct 2007 22:40:23 +0200

vdr-plugin-fritzbox (0.0.7-1) unstable; urgency=low

  * New upstream release
  * Added gettext to Build-Depends
  * Added installation of locale files (if VDR >= 1.5.7)

