=== debian/control ===
Source: vdr-plugin-fritzbox
Section: video
Priority: extra
Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
Uploaders: Thomas Schmidt <tschmidt@debian.org>, Tobias Grimm <etobi@debian.org>, Thomas Günther <tom@toms-cafe.de>
Build-Depends: debhelper (>= 7.0.50~), vdr-dev (>= 1.7.17), gettext, libgnutls-dev, libgcrypt11-dev, libcommoncpp2-dev
Standards-Version: 3.9.1
Vcs-Svn: svn://svn.debian.org/pkg-vdr-dvb/vdr/vdr-plugin-fritzbox/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-vdr-dvb/vdr/vdr-plugin-fritzbox/trunk/
Homepage: http://www.joachim-wilke.de/vdr-fritz.htm

Package: vdr-plugin-fritzbox
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${vdr:Depends}
Description: VDR plugin to access certain functions of an AVM Fritz!Box
 This VDR plugin connects to the Fritz!Box to inform you about incoming
 calls. As an option, the plugin can automatically mute VDR when a call
 comes in.
