## vdr-plugin-fritzbox 1.4.0

=== debian/changelog ===
vdr-plugin-fritzbox (1.4.0-1) unstable; urgency=low

  * New upstream release

 -- Tobias Grimm <etobi@debian.org>  Sun, 17 Apr 2011 22:20:22 +0200

vdr-plugin-fritzbox (1.3.9-2) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.18)

 -- Tobias Grimm <etobi@debian.org>  Sun, 17 Apr 2011 20:06:09 +0200
