## vdr-plugin-fritzbox 1.4.1

=== Makefile ===
--- 
+++ 
@@ -57,18 +57,7 @@
 ### libfritz++
 LIBFRITZ = libfritz++
 INCLUDES += -I$(LIBFRITZ)
-LIBS += $(LIBFRITZ)/$(LIBFRITZ).a -lgcrypt
-
-### libpthread++
-LIBPTHREAD = libpthread++
-INCLUDES += -I$(LIBPTHREAD)
-LIBS += $(LIBPTHREAD)/$(LIBPTHREAD).a
-
-### libtcpclient++
-LIBTCPCLIENT = libtcpclient++
-INCLUDES += -I$(LIBTCPCLIENT)
-LIBS += $(LIBTCPCLIENT)/$(LIBTCPCLIENT).a 
-
+LIBS += $(LIBFRITZ)/$(LIBFRITZ).a -lgcrypt -lccgnu2
 
 ### The object files (add further files here):
 
@@ -81,15 +70,9 @@
 libvdr-$(PLUGIN).so: $(OBJS) libfritz 
 	$(CXX) $(CXXFLAGS) -shared $(OBJS) $(LIBS) -o $@
 	
-libfritz: libtcpclient libpthread
+libfritz:
 	$(MAKE) -C $(LIBFRITZ)	
 	
-libtcpclient:
-	$(MAKE) -C $(LIBTCPCLIENT)
-	
-libpthread:
-	$(MAKE) -C $(LIBPTHREAD)
-
 %.o: %.c
 	$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) $<
 
@@ -105,8 +88,6 @@
 	@-rm -f $(PODIR)/*.mo $(PODIR)/*.pot
 	@-rm -f $(OBJS) $(DEPFILE) *.so *.tgz core* *~
 	@-make -C $(LIBFRITZ) clean
-	@-make -C $(LIBTCPCLIENT) clean
-	@-make -C $(LIBPTHREAD) clean
 
 ### Internationalization (I18N):
 
@@ -120,10 +101,13 @@
 	msgfmt -c -o $@ $<
 
 $(I18Npot): $(wildcard *.c) $(wildcard libfritz++/*.cpp)
-	xgettext -C -cTRANSLATORS --no-wrap -F -k -ktr -ktrNOOP -kI18N_NOOP --msgid-bugs-address='<vdr@joachim-wilke.de>' -o $@ $^
+	xgettext -C -cTRANSLATORS --no-wrap -s --no-location -k -ktr -ktrNOOP -kI18N_NOOP \
+	         --msgid-bugs-address='<vdr@joachim-wilke.de>' -o $@ $^
+	grep -v POT-Creation $(I18Npot) > $(I18Npot)~
+	mv $(I18Npot)~ $(I18Npot)
 
 %.po: $(I18Npot)
-	msgmerge -U --no-wrap -F --backup=none -q $@ $<
+	msgmerge -U --no-wrap -s --backup=none -q $@ $<
 	@touch $@
 
 $(I18Nmsgs): $(LOCALEDIR)/%/LC_MESSAGES/vdr-$(PLUGIN).mo: $(PODIR)/%.mo
