## vdr-plugin-fritzbox 1.4.3

=== debian/changelog ===
vdr-plugin-fritzbox (1.4.3-2) unstable; urgency=low

  * Now really build-depend on vdr-1.7.28

 -- Tobias Grimm <etobi@debian.org>  Thu, 28 Jun 2012 23:17:46 +0200

vdr-plugin-fritzbox (1.4.3-1) unstable; urgency=low

  * New upstream release
  * Build-depend on vdr-dev (>= 1.7.28)

 -- Tobias Grimm <etobi@debian.org>  Sat, 09 Jun 2012 18:04:37 +0200

vdr-plugin-fritzbox (1.4.2-2) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.27)

 -- Tobias Grimm <etobi@debian.org>  Sat, 28 Apr 2012 07:43:32 +0200

vdr-plugin-fritzbox (1.4.2-1) unstable; urgency=low

  * New upstream release
  * Build-depend on vdr-dev (>= 1.7.26)
  * Standards-Version: 3.9.3

 -- Tobias Grimm <etobi@debian.org>  Sun, 25 Mar 2012 12:19:41 +0200
