=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: extra
 Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
 Uploaders: Thomas Schmidt <tschmidt@debian.org>, Tobias Grimm <etobi@debian.org>, Thomas Günther <tom@toms-cafe.de>
-Build-Depends: debhelper (>= 7.0.50~), vdr-dev (>= 1.7.23), gettext, libgnutls-dev, libgcrypt11-dev, libcommoncpp2-dev
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 7.0.50~), vdr-dev (>= 1.7.28), gettext, libgnutls-dev, libgcrypt11-dev, libcommoncpp2-dev
+Standards-Version: 3.9.3
 Homepage: http://www.joachim-wilke.de/vdr-fritz.htm
 Vcs-Git: git://git.debian.org/git/pkg-vdr-dvb/vdr-plugin-fritzbox.git
 Vcs-Browser: http://git.debian.org/?p=pkg-vdr-dvb/vdr-plugin-fritzbox.git
