=== debian/changelog ===
vdr-plugin-fritzbox (1.5.2-5) unstable; urgency=low

  * Build-depend on vdr-dev (>= 2.0.0)

 -- Tobias Grimm <etobi@debian.org>  Sun, 31 Mar 2013 14:00:07 +0200

vdr-plugin-fritzbox (1.5.2-4) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.42)

 -- Tobias Grimm <etobi@debian.org>  Sat, 23 Mar 2013 20:48:12 +0100

vdr-plugin-fritzbox (1.5.2-3) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.41)

 -- Tobias Grimm <etobi@debian.org>  Sun, 17 Mar 2013 19:45:01 +0100

vdr-plugin-fritzbox (1.5.2-2) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.40)

 -- Tobias Grimm <etobi@debian.org>  Sun, 10 Mar 2013 19:05:54 +0100

vdr-plugin-fritzbox (1.5.2-1) unstable; urgency=low

  * New upstream release
  * Updated debian/watch
  * Updated debian/copyright
  * Use debhelper 9
  * Build-depend on vdr-dev (>= 1.7.39)

 -- Tobias Grimm <etobi@debian.org>  Sun, 24 Feb 2013 17:54:09 +0100
