=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
 Uploaders: Thomas Schmidt <tschmidt@debian.org>, Tobias Grimm <etobi@debian.org>, Thomas Günther <tom@toms-cafe.de>
-Build-Depends: debhelper (>= 7.0.50~), vdr-dev (>= 1.7.28), gettext, libgnutls-dev, libgcrypt11-dev, libcommoncpp2-dev
+Build-Depends: debhelper (>= 9), vdr-dev (>= 2.0.0), gettext, pkg-config, libgnutls-dev, libgcrypt11-dev, libcommoncpp2-dev
 Standards-Version: 3.9.3
 Homepage: http://www.joachim-wilke.de/vdr-fritz.htm
 Vcs-Git: git://git.debian.org/git/pkg-vdr-dvb/vdr-plugin-fritzbox.git
