=== debian/watch ===
version=3

http://www.joachim-wilke.de/vdr-fritz.htm downloads/vdr-fritz/vdr-fritzbox-(.*)\.tgz
