=== debian/changelog ===
vdr-plugin-fritzbox (1.5.3-9) unstable; urgency=medium

  * Standards-Version: 4.4.1

 -- Tobias Grimm <etobi@debian.org>  Fri, 01 Nov 2019 14:05:25 +0100

vdr-plugin-fritzbox (1.5.3-8) unstable; urgency=medium

  * Build-depend on vdr-dev >= 2.4.1

  * Added patch vor Boost 1.67 compatibility

 -- Tobias Grimm <etobi@debian.org>  Fri, 19 Jul 2019 08:11:14 +0200

vdr-plugin-fritzbox (1.5.3-7) unstable; urgency=medium

  * VCS moved to salsa.debian.org
  * Replaced priority extra with optional
  * Build-depend on vdr-dev (>= 2.4.0)

 -- Tobias Grimm <etobi@debian.org>  Sun, 15 Apr 2018 19:13:53 +0200

vdr-plugin-fritzbox (1.5.3-6) unstable; urgency=medium

  * Build-depend on vdr-dev >= 2.3.8

 -- Tobias Grimm <etobi@debian.org>  Sun, 20 Aug 2017 22:04:02 +0200

vdr-plugin-fritzbox (1.5.3-5) unstable; urgency=medium

  * Standards-Version: 3.9.8

 -- Tobias Grimm <etobi@debian.org>  Tue, 31 Jan 2017 22:39:15 +0100

vdr-plugin-fritzbox (1.5.3-4) unstable; urgency=medium

  * Fix (d|e|i)syslog() calls to include format parameter to avoid build
    failures with "-Werror=format-security"

 -- Tobias Grimm <etobi@debian.org>  Mon, 07 Sep 2015 21:52:36 +0200

vdr-plugin-fritzbox (1.5.3-3) unstable; urgency=medium

  * Now supporting the /etc/vdr/conf.d mechanism

 -- Tobias Grimm <etobi@debian.org>  Mon, 23 Mar 2015 22:46:00 +0100

vdr-plugin-fritzbox (1.5.3-2) unstable; urgency=medium

  * Build-depend on vdr-dev (>= 2.2.0)

 -- Tobias Grimm <etobi@debian.org>  Thu, 19 Feb 2015 12:39:47 +0100

vdr-plugin-fritzbox (1.5.3-1) unstable; urgency=medium

  * New upstream homepage
  * New upstream release
  * Build-depend on vdr-dev (>= 2.1.10)
  * Standards-Version: 3.9.6

 -- Tobias Grimm <etobi@debian.org>  Sat, 14 Feb 2015 16:07:22 +0100

vdr-plugin-fritzbox (1.5.2-6) unstable; urgency=medium

  * Build-depend on vdr-dev (>= 2.0.6)
  * Standards-Version: 3.9.5

 -- Tobias Grimm <etobi@debian.org>  Sun, 26 Oct 2014 21:37:39 +0100

vdr-plugin-fritzbox (1.5.2-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop unused build-depends on libgnutls-dev. Build-depend on
    libgcrypt20-dev instead of transition package libgcrypt11-dev.
    Closes: #764109

 -- Andreas Metzler <ametzler@debian.org>  Sat, 11 Oct 2014 14:28:05 +0200
