=== debian/control ===
Source: vdr-plugin-fritzbox
Section: video
Priority: optional
Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
Uploaders: Thomas Schmidt <tschmidt@debian.org>, Tobias Grimm <etobi@debian.org>, Thomas Günther <tom@toms-cafe.de>
Build-Depends: debhelper (>= 9), vdr-dev (>= 2.4.1), gettext, pkg-config,
  libgcrypt20-dev,
  libcommoncpp2-dev,
  libboost-system-dev,
  libboost-regex-dev,
  libboost-thread-dev
Standards-Version: 4.4.1
Homepage: https://github.com/jowi24/vdr-fritz
Vcs-Git: https://salsa.debian.org/vdr-team/vdr-plugin-fritzbox.git
Vcs-Browser: https://salsa.debian.org/vdr-team/vdr-plugin-fritzbox

Package: vdr-plugin-fritzbox
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${vdr:Depends}
Description: VDR plugin to access certain functions of an AVM Fritz!Box
 This VDR plugin connects to the Fritz!Box to inform you about incoming
 calls. As an option, the plugin can automatically mute VDR when a call
 comes in.
