=== debian/changelog ===
vdr-plugin-fritzbox (1.5.4-3) unstable; urgency=medium

  * build against vdr 2.6.9
  * add myself to uploaders
  * change build-depends from obsolete pkg-config to pkgconf
  * update standards-version to 4.7.0

 -- Christoph Martin <chrism@debian.org>  Tue, 18 Feb 2025 19:57:27 +0100

vdr-plugin-fritzbox (1.5.4-2) unstable; urgency=medium

  * Build-depend on vdr 2.6.0 and update standards version to 4.6.0
  * Remove Thomas Günther and Thomas Schmidt from uploaders

 -- Tobias Grimm <etobi@debian.org>  Wed, 12 Jan 2022 09:33:15 +0100

vdr-plugin-fritzbox (1.5.4-1) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Use the host architecture pkg-config. (Closes: #933084)

  [ Tobias Grimm ]
  * New upstream version 1.5.4
  * Drop libcommoncpp2-dev build dependency (Closes: #998892)
  * Update patches
  * Disable building tests
  * Update debian/watch to version 4

 -- Tobias Grimm <etobi@debian.org>  Mon, 20 Dec 2021 16:27:39 +0100
