=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: video
 Priority: optional
 Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
-Uploaders: Thomas Schmidt <tschmidt@debian.org>, Tobias Grimm <etobi@debian.org>, Thomas Günther <tom@toms-cafe.de>
-Build-Depends: debhelper (>= 9), vdr-dev (>= 2.4.1), gettext, pkg-config,
+Uploaders: Tobias Grimm <etobi@debian.org>,
+ Christoph Martin <chrism@debian.org>
+Build-Depends: debhelper-compat (= 13), vdr-dev (>= 2.6.0), gettext, pkgconf,
   libgcrypt20-dev,
-  libcommoncpp2-dev,
   libboost-system-dev,
   libboost-regex-dev,
   libboost-thread-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.7.0
 Homepage: https://github.com/jowi24/vdr-fritz
 Vcs-Git: https://salsa.debian.org/vdr-team/vdr-plugin-fritzbox.git
 Vcs-Browser: https://salsa.debian.org/vdr-team/vdr-plugin-fritzbox
