=== debian/watch ===
version=4
#
# Warning! The project uses git submodules, which isn't supported by
# GitHub when downloading a zipped tag or release
#
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/vdr-fritz-$1\.tar\.gz/ \
  https://github.com/jowi24/vdr-fritz/tags .*/v?(\d\S*)\.tar\.gz
